<?php
/**
 * @file
 * This allows Group Mind class to notify the followers.
 */

// Mail the followers for both create and update.
$users_followers = flag_get_content_flags('node', $nid, 'community_follow_node');
if (!empty($users_followers)) {
  // let's check if the content is being moderated.
  $moderator_uid = $this->is_moderated($node);

  foreach (user_load_multiple(array_keys($users_followers)) as $follower) {
    // Don't send to the author and don't send to the moderator if
    // he's a follower.
    if ($node->uid != $follower->uid && $node->uid != $moderator_uid) {
      // If the node is being moderated, we want to send the "update_xx" message
      // instead of the $message_type to the followers.
      if ($moderator_uid) {
        $message = $this->create_moderated_message($node, $moderator_uid, NULL, $follower->uid);
      }
      else {
        $message = $this->create_message($message_type, $node, $follower->uid);
      }
      // Let message-notify deliver the email, and send the message for us.
      // We pass in the options the field names, that will be used to capture.
      // the rendered message, and provide an email log.
      $options = array(
        'rendered fields' => array(
          'message_notify_email_subject' => 'field_message_rendered_subject',
          'message_notify_email_body' => 'field_message_rendered_body',
        ),
        'mail' => $follower->mail,
      );
      message_notify_send_message($message, $options);
    }
  }
}
// Should we also create a message on the user's profile ?
if ($create_message) {
  // Check if the action was done by the author or a moderator and create
  // the messages accordingly.
  $this->messages_moderated($message_type, $node);
}
