<?php
/**
 * @file
 * group_mind_q_a.features.inc
 */

/**
 * Implements hook_ctools_plugin_api().
 */
function group_mind_q_a_ctools_plugin_api() {
  list($module, $api) = func_get_args();
  if ($module == "strongarm" && $api == "strongarm") {
    return array("version" => "1");
  }
}

/**
 * Implements hook_views_api().
 */
function group_mind_q_a_views_api($module = NULL, $api = NULL) {
  return array("api" => "3.0");
}

/**
 * Implements hook_default_message_type().
 */
function group_mind_q_a_default_message_type() {
  $items = array();
  $items['new_answer'] = entity_import('message_type', '{
    "name" : "new_answer",
    "description" : "New Answer",
    "argument_keys" : [],
    "argument" : [],
    "category" : "message_type",
    "data" : {
      "token options" : { "clear" : 0 },
      "purge" : { "override" : 0, "enabled" : 0, "quota" : "", "days" : "" }
    },
    "language" : "en",
    "arguments" : null,
    "message_text" : { "und" : [
        {
          "value" : "\\u003Ca href=\\u0022[message:field-target-nodes:0:author:url]\\u0022\\u003E[message:field-target-nodes:0:author:name]\\u003C\\/a\\u003E has posted a new answer on the question \\u003Ca href=\\u0022[message:field-target-nodes:0:url]\\u0022\\u003E[message:field-target-nodes:0:field_related_question]\\u003C\\/a\\u003E.",
          "format" : "filtered_html",
          "safe_value" : "\\u003Cp\\u003E\\u003Ca href=\\u0022[message:field-target-nodes:0:author:url]\\u0022\\u003E[message:field-target-nodes:0:author:name]\\u003C\\/a\\u003E has posted a new answer on the question \\u003Ca href=\\u0022[message:field-target-nodes:0:url]\\u0022\\u003E[message:field-target-nodes:0:field_related_question]\\u003C\\/a\\u003E.\\u003C\\/p\\u003E\\n"
        },
        {
          "value" : "[message:field-target-nodes:0:author] has posted a new answer on the question [message:field-target-nodes:0:field_related_question].",
          "format" : "full_html",
          "safe_value" : "[message:field-target-nodes:0:author] has posted a new answer on the question [message:field-target-nodes:0:field_related_question]."
        },
        {
          "value" : "Hello [message:user:name],\\r\\n\\r\\n\\u003Ca href=\\u0022[message:field-target-nodes:0:author:url:absolute]\\u0022\\u003E[message:field-target-nodes:0:author:name]\\u003C\\/a\\u003E has posted a new answer on the question \\u003Ca href=\\u0022[message:field-target-nodes:0:url:absolute]\\u0022\\u003E[message:field-target-nodes:0:field_related_question]\\u003C\\/a\\u003E.\\r\\n\\r\\nCheers,\\r\\nThe \\u003Ca href=\\u0022[site:url]\\u0022\\u003E[site:name] webmaster\\u003C\\/a\\u003E.",
          "format" : "full_html",
          "safe_value" : "Hello [message:user:name],\\n\\n\\u003Ca href=\\u0022[message:field-target-nodes:0:author:url:absolute]\\u0022\\u003E[message:field-target-nodes:0:author:name]\\u003C\\/a\\u003E has posted a new answer on the question \\u003Ca href=\\u0022[message:field-target-nodes:0:url:absolute]\\u0022\\u003E[message:field-target-nodes:0:field_related_question]\\u003C\\/a\\u003E.\\n\\nCheers,\\nThe \\u003Ca href=\\u0022[site:url]\\u0022\\u003E[site:name] webmaster\\u003C\\/a\\u003E."
        }
      ]
    }
  }');
  $items['update_answer'] = entity_import('message_type', '{
    "name" : "update_answer",
    "description" : "Update answer",
    "argument_keys" : [],
    "argument" : [],
    "category" : "message_type",
    "data" : {
      "token options" : { "clear" : 0 },
      "purge" : { "override" : 0, "enabled" : 0, "quota" : "", "days" : "" }
    },
    "language" : "en",
    "arguments" : null,
    "message_text" : { "und" : [
        {
          "value" : "\\u003Ca href=\\u0022[message:field-target-nodes:0:author:url]\\u0022\\u003E[message:field-target-nodes:0:author:name]\\u003C\\/a\\u003E has updated his answer on the question \\u003Ca href=\\u0022[message:field-target-nodes:0:url:absolute]\\u0022\\u003E[message:field-target-nodes:0:field_related_question]\\u003C\\/a\\u003E.",
          "format" : "filtered_html",
          "safe_value" : "\\u003Cp\\u003E\\u003Ca href=\\u0022[message:field-target-nodes:0:author:url]\\u0022\\u003E[message:field-target-nodes:0:author:name]\\u003C\\/a\\u003E has updated his answer on the question \\u003Ca href=\\u0022[message:field-target-nodes:0:url:absolute]\\u0022\\u003E[message:field-target-nodes:0:field_related_question]\\u003C\\/a\\u003E.\\u003C\\/p\\u003E\\n"
        },
        {
          "value" : "[message:field-target-nodes:0:author] has updated his answer on the question [message:field-target-nodes:0:field_related_question].",
          "format" : "full_html",
          "safe_value" : "[message:field-target-nodes:0:author] has updated his answer on the question [message:field-target-nodes:0:field_related_question]."
        },
        {
          "value" : "Hello [message:user:name],\\r\\n\\r\\n\\u003Ca href=\\u0022[message:field-target-nodes:0:author:url:absolute]\\u0022\\u003E[message:field-target-nodes:0:author:name]\\u003C\\/a\\u003E has updated his answer on the question \\u003Ca href=\\u0022[message:field-target-nodes:0:url:absolute]\\u0022\\u003E[message:field-target-nodes:0:field_related_question]\\u003C\\/a\\u003E.\\r\\n\\r\\nCheers,\\r\\nThe \\u003Ca href=\\u0022[site:url]\\u0022\\u003E[site:name] webmaster\\u003C\\/a\\u003E.",
          "format" : "full_html",
          "safe_value" : "Hello [message:user:name],\\n\\n\\u003Ca href=\\u0022[message:field-target-nodes:0:author:url:absolute]\\u0022\\u003E[message:field-target-nodes:0:author:name]\\u003C\\/a\\u003E has updated his answer on the question \\u003Ca href=\\u0022[message:field-target-nodes:0:url:absolute]\\u0022\\u003E[message:field-target-nodes:0:field_related_question]\\u003C\\/a\\u003E.\\n\\nCheers,\\nThe \\u003Ca href=\\u0022[site:url]\\u0022\\u003E[site:name] webmaster\\u003C\\/a\\u003E."
        }
      ]
    }
  }');
  return $items;
}

/**
 * Implements hook_node_info().
 */
function group_mind_q_a_node_info() {
  $items = array(
    'answer' => array(
      'name' => t('Answer'),
      'base' => 'node_content',
      'description' => t('Use answers for responses to Question content, which can be rated by user votes.'),
      'has_title' => '1',
      'title_label' => t('Title'),
      'help' => '',
    ),
    'question' => array(
      'name' => t('Question'),
      'base' => 'node_content',
      'description' => t('Ask a question to receive answers from other community members'),
      'has_title' => '1',
      'title_label' => t('Title'),
      'help' => '',
    ),
  );
  drupal_alter('node_info', $items);
  return $items;
}
