<?php
/**
 * @file
 * The answers node Template.
 */

hide($content['links']);
global $user;
if(!$teaser) :
?>
<article id="node-<?php print $node->nid; ?>" class="<?php print $classes; ?>"<?php print $attributes; ?>>
  <header>
    <div class="row">
      <div class="col-md-1">
        <?php if (!empty($user_picture)) : ?>
          <?php print $user_picture; ?>
        <?php endif; ?>
      </div>
      <div class="col-md-7 author-datetime">
        <div class="row">
          <span class="glyphicon glyphicon-share-alt"></span> <?php print ucfirst(node_type_get_name($node)) . ' ' . lcfirst($submitted); ?>
        </div>
      </div>
  </header>
  <?php endif; ?>
  <div<?php print $content_attributes; ?>>
      <div class="col-xs-2 col-md-1">
          <?php print render($content['rate_q_a_vote']); ?>
      </div>
      <div class="col-md-11 well">
          <?php print render($content['body']); ?>
      </div>
  </div>
  <div class="text-right col-md-10 pull-right">
    <?php
    // If we have the resolve button + actions, we display it on the
    // same line.
    if(group_mind_q_a_resolve_permission('resolve the question', $node) && (node_access('update', $node) || user_access('move answer to comment'))) :
    ?>
      <div class="pull-left">
    <?php
    else :
    ?>
      <div>
    <?php
      endif;
    ?>
        <span class="glyphicon glyphicon-tag"></span> <a href="<?php echo url('node/' . $node->field_related_question[LANGUAGE_NONE][0]['target_id'], array('fragment' => 'node-' . $node->nid)); ?>"><?php echo t('Permalink'); ?></a>
        <?php
        // If it's the author, authorize to edit it.
        if(node_access('update', $node)) :
        ?>
          <span class="glyphicon glyphicon-pencil"></span>
          <a href="<?php echo url('node/' . $node->nid . '/edit') ?>"><?php echo t('Edit my answer') ?></a>
        <?php
        endif;
        ?>

        <?php
        // Webmaster can transform answer in comment.
        if (user_access('move answer to comment')) :
        ?>
            <span class="glyphicon glyphicon-share"></span> <a href="<?php echo url('node/' . $node->nid . '/to_comment');?>" onclick="return confirm('<?php echo t('You are about to transform this answer into comment, continue ?'); ?>');"><?php echo (t('Transform to comment'));?></a>
        <?php
        endif;
        // Antispam links ?.
        foreach ($content['links']['node']['#links'] as $key_link => $link_value) :
          if(preg_match('/^antispam/', $key_link)) :
            // Choose the good icon.
            switch ($key_link) :
              case 'antispam_node_spam':
                $glyphicon = 'glyphicon glyphicon-ban-circle';
              break;
              case 'antispam_node_ham':
                $glyphicon = 'glyphicon glyphicon-ok-circle';
              break;
              case 'antispam_node_publish':
                $glyphicon = 'glyphicon glyphicon-eye-open';
              break;
              case 'antispam_node_unpublish':
                $glyphicon = 'glyphicon glyphicon-eye-close';
              break;
            endswitch;
          ?>
            <span class="glyphicon <?php echo $glyphicon; ?>">
            </span>
            <a href="<?php echo url($link_value['href']);?>"><?php echo $link_value['title']; ?></a>
          <?php endif;
        endforeach;
        ?>

    </div>
    <?php
    // Resolve Button ? .
    if(group_mind_q_a_resolve_permission('resolve the question', $node)) :
    ?>
      <div class="pull-right">
        <a href="<?php echo url('answer/' . $node->nid  . '/resolve'); ?>" class="btn btn-default" onclick="return confirm('<?php echo t('Did this answer your question ?'); ?>');"><?php echo t('Resolved by this answer'); ?></a>
      </div>
    <?php
    endif;
    ?>
  </div>
</article>
<div class="clearfix"></div>
<?php if (isset($content['comments'])): ?>
  <div class="commons-pod commons-pod-comments">
    <?php print render($content['comments']); ?>
    <?php print render($title_suffix); ?>
  </div>
<?php endif; ?>
